SDL_GetJoystickConnectionState(3)

NAME
SDL_GetJoystickConnectionState - Get the connection state of a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickConnectionState SDL_GetJoystickConnectionState(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    The joystick to query

RETURN VALUE
Returns the connection state on success or SDL_JOYSTICK_CONNECTION_INVALID on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.